Loading...
Searching...
No Matches
caf::ipv4_endpoint Class Reference

An IP endpoint that contains an ::ipv4_address and a port. More...

`#include <ipv4_endpoint.hpp>`

Inheritance diagram for caf::ipv4_endpoint:

## Public Member Functions

| ipv4_endpoint (ipv4_address address, uint16_t port)
| ipv4_endpoint (const ipv4_endpoint &)=default
ipv4_endpoint & | operator= (const ipv4_endpoint &)=default
ipv4_address | address () const noexcept
| Returns the IPv4 address.
void | address (ipv4_address x) noexcept
| Sets the address of this endpoint.
uint16_t | port () const noexcept
| Returns the port of this endpoint.
void | port (uint16_t x) noexcept
| Sets the port of this endpoint.
size_t | hash_code () const noexcept
| Returns a hash for this object.
long | compare (ipv4_endpoint x) const noexcept
| Compares this endpoint to x.

## Friends

template<class Inspector>
Inspector::result_type | inspect (Inspector &f, ipv4_endpoint &x)

## Detailed Description

An IP endpoint that contains an ::ipv4_address and a port.

## Member Function Documentation

## compare()

long caf::ipv4_endpoint::compare | ( | ipv4_endpoint | x | ) | const

noexcept

Compares this endpoint to x.

Returns
  0 if *this == x, a positive value if *this > x and a negative value otherwise.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/ipv4_endpoint.hpp